<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://purchaseRecordSubsequentBrowse.caption"
        focusComponent="purchaseRecordsTable">
    <data readOnly="true">
        <collection id="purchaseRecordsDc"
                    class="com.company.management.entity.PurchaseRecord">
            <fetchPlan extends="_base">
                <property name="type" fetchPlan="_base">
                    <property name="typeGroup" fetchPlan="_base"/>
                </property>
                <property name="status" fetchPlan="_base">
                    <property name="typeGroup" fetchPlan="_base"/>
                </property>
            </fetchPlan>
            <loader id="purchaseRecordsDl">
                <query>
                    <![CDATA[select e from PurchaseRecord e
                    where e.type.code = :typeCode1
                    and e.issuanceType.code = :issuanceTypeCode1
                    order by e.date desc]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" height="100%" width="100%">
        <tabSheet id="goldTab" width="100%" responsive="true">
            <tab id="goldBar" margin="true" caption="msg://Gold Bar" spacing="true" >
                <filter id="filter"
                        dataLoader="purchaseRecordsDl">
                    <properties include=".*"/>
                </filter>
                <table id="purchaseRecordsTable"
                            width="100%"
                            dataContainer="purchaseRecordsDc">
                    <actions>
                        <action id="create" type="create"/>
                        <action id="edit" type="edit"/>
                        <action id="excelExport" type="excelExport" caption="msg://Export"/>
                    </actions>
                    <columns>
                        <column id="description"/>
                        <column id="po_Num" caption="msg://PO No."/>
                        <column id="type"/>
                        <column id="supplier"/>
                        <column id="physical_stock"/>
                        <column id="date"/>
                        <column id="status.name"/>
                    </columns>
                    <simplePagination itemsPerPageVisible="true" itemsPerPageDefaultValue="20"/>
                    <buttonsPanel id="buttonsPanel"
                                  alwaysVisible="true">
                        <button id="createBtn" action="purchaseRecordsTable.create" css="background-color: #357EF2;color: #ffffff"/>
                        <button id="editBtn" action="purchaseRecordsTable.edit" css="background-color: #ffffff;color: #357EF2"/>
                        <button id="purchaseRecordsTableExcelExportBtn" action="purchaseRecordsTable.excelExport"/>
                    </buttonsPanel>
                </table>
                <hbox id="lookupActions" spacing="true" visible="false">
                    <button action="lookupSelectAction"/>
                    <button action="lookupCancelAction"/>
                </hbox>
            </tab>
            <tab id="goldDinar" margin="true" caption="msg://Gold Dinar" spacing="true">
                <filter id="filtergolddinar"
                        dataLoader="purchaseRecordsDl">
                    <properties include=".*"/>
                </filter>
                <table id="purchaseRecordsTablegolddinar"
                            width="100%"
                            dataContainer="purchaseRecordsDc">
                    <actions>
                        <action id="create" type="create"/>
                        <action id="edit" type="edit"/>
                        <action id="excelExport" type="excelExport"/>
                    </actions>
                    <columns>
                        <column id="description"/>
                        <column id="po_Num"/>
                        <column id="type"/>
                        <column id="supplier"/>
                        <column id="physical_stock"/>
                        <column id="date"/>
                        <column id="status.name"/>
                    </columns>
                    <simplePagination itemsPerPageVisible="true" itemsPerPageDefaultValue="20"/>
                    <buttonsPanel id="buttonsPanelGoldDinar"
                                  alwaysVisible="true">
                        <button id="createGoldDinarBtn" action="purchaseRecordsTablegolddinar.create" css="background-color: #357EF2;color: #ffffff"/>
                        <button id="editGoldDinarBtn" action="purchaseRecordsTablegolddinar.edit" css="background-color: #ffffff;color: #357EF2"/>
                        <button id="purchaseRecordsTablegolddinarExcelExportBtn"
                                action="purchaseRecordsTablegolddinar.excelExport" caption="msg://Export"/>
                    </buttonsPanel>
                </table>
                <hbox id="lookupActionsGoldDinar" spacing="true" visible="false">
                    <button action="lookupSelectAction"/>
                    <button action="lookupCancelAction"/>
                </hbox>
            </tab>
        </tabSheet>
    </layout>
</window>
